Vulnerability CVE-2019-6000


Published: 2019-08-06

Description:
Buffer overflow in PTP (Picture Transfer Protocol) of EOS series digital cameras (EOS-1D X firmware version 2.1.0 and earlier, EOS-1D X MKII firmware version 1.1.6 and earlier, EOS-1D C firmware version 1.4.1 and earlier, EOS 5D MARK III firmware version 1.3.5 and earlier, EOS 5D MARK IV firmware version 1.2.0 and earlier, EOS 5DS firmware version 1.1.2 and earlier, EOS 5DS R firmware version 1.1.2 and earlier, EOS 6D firmware version 1.1.8 and earlier, EOS 6D MARK II firmware version 1.0.4 and earlier, EOS 7D MARK II firmware version 1.1.2 and earlier, EOS 70 D firmware version 1.1.2 and earlier, EOS 80 D firmware version 1.0.2 and earlier, EOS KISS X7I / EOS D REBEL T5I / EOS 700D firmware version 1.1.5 and earlier, EOS KISS X8I / EOS D REBEL T6I / EOS 750D firmware version 1.0.0 and earlier, EOS KISS X9I / EOS D REBEL T7I / EOS 800D firmware version 1.0.1 and earlier, EOS KISS X7 / EOS D REBEL SL1 / EOS 100D firmware version 1.0.1 and earlier, EOS KISS X9 / EOS D REBEL SL2 / EOS 200D firmware version 1.0.1 and earlier, EOS KISS X10 / EOS D REBEL SL3 / EOS 200D / EOS 250D firmware version 1.0.1 and earlier, EOS 8000D / EOS D REBEL T6S / EOS 760D firmware version 1.0.0 and earlier, EOS 9000D / EOS 77D firmware version 1.0.2 and earlier, EOS KISS X70 / EOS D REBEL T5 / EOS 1200D firmware version 1.0.2 and earlier, EOS D REBEL T5 RE / EOS 1200D MG / EOS HI firmware version 1.0.2 and earlier, EOS KISS X80 / EOS D REBEL T6 / EOS 1300D firmware version 1.1.0 and earlier, EOS KISS X90 / EOS D REBEL T7 / EOS 1500D / EOS 2000D firmware version 1.0.0 and earlier, EOS D REBEL T100 / EOS 3000D / EOS 4000D firmware version 1.0.0 and earlier, EOS R firmware version 1.3.0 and earlier, EOS RP firmware version 1.2.0 and earlier, EOS RP GOLD firmware version 1.2.0 and earlier, EOS M2 firmware version 1.0.3 and earlier, EOS M3 firmware version 1.2.0 and earlier, EOS M5 firmware version 1.0.1 and earlier, EOS M6 firmware version 1.0.1 and earlier, EOS M6(China) firmware version 5.0.0 and earlier, EOS M10 firmware version 1.1.0 and earlier, EOS M100 firmware version 1.0.0 and earlier, EOS KISS M / EOS M50 firmware version 1.0.2 and earlier) and PowerShot SX740 HS firmware version 1.0.1 and earlier, PowerShot SX70 HS firmware version 1.1.0 and earlier, and PowerShot G5Xmark II firmware version 1.0.1 and earlier allows an attacker on the same network segment to trigger the affected product being unresponsive or to execute arbitrary code on the affected product via sendhostinfo command.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

Vendor: Canon
Product: Eos m6(china) firmware 
Version: 5.0.0;
Product: Eos-1d x firmware 
Version: 2.1.0;
Product: Eos-1d c firmware 
Version: 1.4.1;
Product: Eos 5d mark iii firmware 
Version: 1.3.5;
Product: Eos r firmware 
Version: 1.3.0;
Product: Eos rp firmware 
Version: 1.2.0;
Product: Eos 5d mark iv firmware 
Version: 1.2.0;
Product: Eos m3 firmware 
Version: 1.2.0;
Product: Eos rp gold firmware 
Version: 1.2.0;
Product: Eos 6d firmware 
Version: 1.1.8;
Product: Eos-1d x mkii firmware 
Version: 1.1.6;
Product: Eos 700d firmware 
Version: 1.1.5;
Product: Eos kiss x7i firmware 
Version: 1.1.5;
Product: Eos d rebel t5i firmware 
Version: 1.1.5;
Product: Eos 7d mark ii firmware 
Version: 1.1.2;
Product: Eos 5ds r firmware 
Version: 1.1.2;
Product: Eos 70d firmware 
Version: 1.1.2;
Product: Eos 5ds firmware 
Version: 1.1.2;
Product: Powershot sx70 hs firmware 
Version: 1.1.0;
Product: Eos d rebel t6 firmware 
Version: 1.1.0;
Product: Eos m10 firmware 
Version: 1.1.0;
Product: Eos 1300d firmware 
Version: 1.1.0;
Product: Eos kiss x80 firmware 
Version: 1.1.0;
Product: Eos 6d mark ii firmware 
Version: 1.0.4;
Product: Eos m2 firmware 
Version: 1.0.3;
Product: Eos 1200d mg firmware 
Version: 1.0.2;
Product: Eos 80d firmware 
Version: 1.0.2;
Product: Eos kiss x70 firmware 
Version: 1.0.2;
Product: Eos d rebel t5 re firmware 
Version: 1.0.2;
Product: Eos m50 firmware 
Version: 1.0.2;
Product: Eos hi firmware 
Version: 1.0.2;
Product: Eos 1200d firmware 
Version: 1.0.2;
Product: Eos d rebel t5 firmware 
Version: 1.0.2;
Product: Eos 9000d firmware 
Version: 1.0.2;
Product: Eos 77d firmware 
Version: 1.0.2;
Product: Eos kiss m firmware 
Version: 1.0.2;
Product: Eos m6 firmware 
Version: 1.0.1;
Product: Eos d rebel sl1 firmware 
Version: 1.0.1;
Product: Eos kiss x9i firmware 
Version: 1.0.1;
Product: Eos 200d firmware 
Version: 1.0.1;
Product: Eos d rebel sl3 firmware 
Version: 1.0.1;
Product: Powershot g5xmark ii firmware 
Version: 1.0.1;
Product: Eos 800d firmware 
Version: 1.0.1;
Product: Eos kiss x10 firmware 
Version: 1.0.1;
Product: Powershot sx740 hs firmware 
Version: 1.0.1;
Product: Eos kiss x9 firmware 
Version: 1.0.1;
Product: Eos kiss x7 firmware 
Version: 1.0.1;
Product: Eos d rebel t7i firmware 
Version: 1.0.1;
Product: Eos 100d firmware 
Version: 1.0.1;
Product: Eos d rebel sl2 firmware 
Version: 1.0.1;
Product: Eos m5 firmware 
Version: 1.0.1;
Product: Eos 250d firmware 
Version: 1.0.1;
Product: Eos d rebel t6i firmware 
Version: 1.0.0;
Product: Eos d rebel t100 firmware 
Version: 1.0.0;
Product: Eos 760d firmware 
Version: 1.0.0;
Product: Eos kiss x90 firmware 
Version: 1.0.0;
Product: Eos 4000d firmware 
Version: 1.0.0;
Product: Eos 1500d firmware 
Version: 1.0.0;
Product: Eos d rebel t7 firmware 
Version: 1.0.0;
Product: Eos 750d firmware 
Version: 1.0.0;
Product: Eos kiss x8i firmware 
Version: 1.0.0;
Product: Eos 3000d firmware 
Version: 1.0.0;
Product: Eos d rebel t6s firmware 
Version: 1.0.0;
Product: Eos 2000d firmware 
Version: 1.0.0;
Product: Eos 8000d firmware 
Version: 1.0.0;
Product: Eos m100 firmware 
Version: 1.0.0;

CVSS2 => (AV:A/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
8.3/10
10/10
6.5/10
Exploit range
Attack complexity
Authentication
Adjacent network
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete

 References:
http://jvn.jp/en/vu/JVNVU97511331/index.html
https://cweb.canon.jp/e-support/products/eos-d/190806dilc-firm.html
https://research.checkpoint.com/say-cheese-ransomware-ing-a-dslr-camera/
https://www.canon-europe.com/support/product-security/
https://www.usa.canon.com/internet/portal/us/home/support/product-advisories/detail/the-vulnerability-in-canon-digital-cameras

Related CVE
CVE-2019-14339
The ContentProvider in the Canon PRINT jp.co.canon.bsd.ad.pixmaprint 2.5.5 application for Android does not properly restrict canon.ij.printer.capability.data data access. This allows an attacker's malicious application to obtain sensitive informatio...
CVE-2019-6001
Buffer overflow in PTP (Picture Transfer Protocol) of EOS series digital cameras (EOS-1D X firmware version 2.1.0 and earlier, EOS-1D X MKII firmware version 1.1.6 and earlier, EOS-1D C firmware version 1.4.1 and earlier, EOS 5D MARK III firmware ver...
CVE-2019-5999
Buffer overflow in PTP (Picture Transfer Protocol) of EOS series digital cameras (EOS-1D X firmware version 2.1.0 and earlier, EOS-1D X MKII firmware version 1.1.6 and earlier, EOS-1D C firmware version 1.4.1 and earlier, EOS 5D MARK III firmware ver...
CVE-2019-5998
Buffer overflow in PTP (Picture Transfer Protocol) of EOS series digital cameras (EOS-1D X firmware version 2.1.0 and earlier, EOS-1D X MKII firmware version 1.1.6 and earlier, EOS-1D C firmware version 1.4.1 and earlier, EOS 5D MARK III firmware ver...
CVE-2019-5995
Missing authorization vulnerability exists in EOS series digital cameras (EOS-1D X firmware version 2.1.0 and earlier, EOS-1D X MKII firmware version 1.1.6 and earlier, EOS-1D C firmware version 1.4.1 and earlier, EOS 5D MARK III firmware version 1.3...
CVE-2019-5994
Buffer overflow in PTP (Picture Transfer Protocol) of EOS series digital cameras (EOS-1D X firmware version 2.1.0 and earlier, EOS-1D X MKII firmware version 1.1.6 and earlier, EOS-1D C firmware version 1.4.1 and earlier, EOS 5D MARK III firmware ver...
CVE-2018-12111
Cross-site scripting (XSS) vulnerability in the Canon PrintMe EFI webinterface allows remote attackers to inject arbitrary web script or HTML via the PATH_INFO to the /wt3/mydocs.php URI.
CVE-2018-12049
** DISPUTED ** A remote attacker can bypass the System Manager Mode on the Canon LBP6030w web interface without a PIN for /checkLogin.cgi via vectors involving /portal_top.html to get full access to the device. NOTE: the vendor reportedly responded t...

Copyright 2019, cxsecurity.com

 

Back to Top